PLplot: nn.h File Reference

PLplot 5.15.0

Classes | Macros | Typedefs | Enumerations | Functions | Variables
nn.h File Reference
`#include "nndll.h"`

Go to the source code of this file.

## Classes
struct | point

## Macros
#define | _POINT_STRUCT

## Typedefs
typedef struct delaunay | delaunay
typedef struct lpi | lpi
typedef struct nnpi | nnpi
typedef struct nnhpi | nnhpi
typedef struct nnai | nnai

## Enumerations
enum | NN_RULE { SIBSON, NON_SIBSONIAN }

## Functions
void | points_thin (int *n, point **points, int nx, int ny)
void | points_generate1 (int n, point points[], int nx, int ny, double zoom, int *nout, point **pout)
void | points_generate2 (double xmin, double xmax, double ymin, double ymax, int nx, int ny, int *nout, point **pout)
void | points_read (char *fname, int dim, int *n, point **points)
double | points_scaletosquare (int n, point *points)
void | points_scale (int n, point *points, double k)
delaunay * | delaunay_build (int np, point points[], int ns, int segments[], int nh, double holes[])
void | delaunay_destroy (delaunay *d)
lpi * | lpi_build (delaunay *d)
void | lpi_destroy (lpi *l)
void | lpi_interpolate_point (lpi *l, point *p)
NNDLLIMPEXP void | lpi_interpolate_points (int nin, point pin[], int nout, point pout[])
nnpi * | nnpi_create (delaunay *d)
void | nnpi_destroy (nnpi *nn)
void | nnpi_interpolate_point (nnpi *nn, point *p)
NNDLLIMPEXP void | nnpi_interpolate_points (int nin, point pin[], double wmin, int nout, point pout[])
void | nnpi_setwmin (nnpi *nn, double wmin)
nnhpi * | nnhpi_create (delaunay *d, int size)
void | nnhpi_destroy (nnhpi *nn)
void | nnhpi_interpolate (nnhpi *nn, point *p)
void | nnhpi_modify_data (nnhpi *nn, point *p)
void | nnhpi_setwmin (nnhpi *nn, double wmin)
nnai * | nnai_build (delaunay *d, int n, double *x, double *y)
void | nnai_destroy (nnai *nn)
void | nnai_interpolate (nnai *nn, double *zin, double *zout)
void | nnai_setwmin (nnai *nn, double wmin)
| NNDLLIMPEXP_DATA (NN_RULE) nn_rule

## Variables
int | nn_verbose
const char * | nn_version
int | nn_test_vertice

## Macro Definition Documentation

## ◆ _POINT_STRUCT

#define _POINT_STRUCT

Definition at line 26 of file nn.h.

## Typedef Documentation

## ◆ delaunay

typedef struct delaunay delaunay

Definition at line 111 of file nn.h.

## ◆ lpi

typedef struct lpi lpi

Definition at line 138 of file nn.h.

## ◆ nnai

typedef struct nnai nnai

Definition at line 272 of file nn.h.

## ◆ nnhpi

typedef struct nnhpi nnhpi

Definition at line 226 of file nn.h.

## ◆ nnpi

typedef struct nnpi nnpi

Definition at line 179 of file nn.h.

## Enumeration Type Documentation

## ◆ NN_RULE

enum NN_RULE

Enumerator
SIBSON |
NON_SIBSONIAN |

Definition at line 23 of file nn.h.

## Function Documentation

## ◆ delaunay_build()

delaunay* delaunay_build | ( | int | np,
|  | point | points[],
|  | int | ns,
|  | int | segments[],
|  | int | nh,
|  | double | holes[]
| ) |  |

Definition at line 265 of file delaunay.c.

## ◆ delaunay_destroy()

void delaunay_destroy | ( | delaunay * | d | ) |

Definition at line 578 of file delaunay.c.

## ◆ lpi_build()

lpi* lpi_build | ( | delaunay * | d | ) |

Definition at line 47 of file lpi.c.

## ◆ lpi_destroy()

void lpi_destroy | ( | lpi * | l | ) |

Definition at line 100 of file lpi.c.

## ◆ lpi_interpolate_point()

void lpi_interpolate_point | ( | lpi * | l,
|  | point * | p
| ) |  |

Definition at line 111 of file lpi.c.

## ◆ lpi_interpolate_points()

NNDLLIMPEXP void lpi_interpolate_points | ( | int | nin,
|  | point | pin[],
|  | int | nout,
|  | point | pout[]
| ) |  |

Definition at line 135 of file lpi.c.

## ◆ nnai_build()

nnai* nnai_build | ( | delaunay * | d,
|  | int | n,
|  | double * | x,
|  | double * | y
| ) |  |

Definition at line 64 of file nnai.c.

## ◆ nnai_destroy()

void nnai_destroy | ( | nnai * | nn | ) |

Definition at line 115 of file nnai.c.

## ◆ nnai_interpolate()

void nnai_interpolate | ( | nnai * | nn,
|  | double * | zin,
|  | double * | zout
| ) |  |

Definition at line 141 of file nnai.c.

## ◆ nnai_setwmin()

void nnai_setwmin | ( | nnai * | nn,
|  | double | wmin
| ) |  |

Definition at line 171 of file nnai.c.

## ◆ NNDLLIMPEXP_DATA()

NNDLLIMPEXP_DATA | ( | NN_RULE |  | ) |

## ◆ nnhpi_create()

nnhpi* nnhpi_create | ( | delaunay * | d,
|  | int | size
| ) |  |

Definition at line 475 of file nnpi.c.

## ◆ nnhpi_destroy()

void nnhpi_destroy | ( | nnhpi * | nn | ) |

Definition at line 505 of file nnpi.c.

## ◆ nnhpi_interpolate()

void nnhpi_interpolate | ( | nnhpi * | nn,
|  | point * | p
| ) |  |

Definition at line 518 of file nnpi.c.

## ◆ nnhpi_modify_data()

void nnhpi_modify_data | ( | nnhpi * | nn,
|  | point * | p
| ) |  |

Definition at line 620 of file nnpi.c.

## ◆ nnhpi_setwmin()

void nnhpi_setwmin | ( | nnhpi * | nn,
|  | double | wmin
| ) |  |

Definition at line 632 of file nnpi.c.

## ◆ nnpi_create()

nnpi* nnpi_create | ( | delaunay * | d | ) |

Definition at line 95 of file nnpi.c.

## ◆ nnpi_destroy()

void nnpi_destroy | ( | nnpi * | nn | ) |

Definition at line 115 of file nnpi.c.

## ◆ nnpi_interpolate_point()

void nnpi_interpolate_point | ( | nnpi * | nn,
|  | point * | p
| ) |  |

Definition at line 297 of file nnpi.c.

## ◆ nnpi_interpolate_points()

NNDLLIMPEXP void nnpi_interpolate_points | ( | int | nin,
|  | point | pin[],
|  | double | wmin,
|  | int | nout,
|  | point | pout[]
| ) |  |

Definition at line 370 of file nnpi.c.

## ◆ nnpi_setwmin()

void nnpi_setwmin | ( | nnpi * | nn,
|  | double | wmin
| ) |  |

Definition at line 412 of file nnpi.c.

## ◆ points_generate1()

void points_generate1 | ( | int | n,
|  | point | points[],
|  | int | nx,
|  | int | ny,
|  | double | zoom,
|  | int * | nout,
|  | point ** | pout
| ) |  |

Definition at line 249 of file nncommon.c.

## ◆ points_generate2()

void points_generate2 | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | nx,
|  | int | ny,
|  | int * | nout,
|  | point ** | pout
| ) |  |

Definition at line 334 of file nncommon.c.

## ◆ points_read()

void points_read | ( | char * | fname,
|  | int | dim,
|  | int * | n,
|  | point ** | points
| ) |  |

Definition at line 402 of file nncommon.c.

## ◆ points_scale()

void points_scale | ( | int | n,
|  | point * | points,
|  | double | k
| ) |  |

Definition at line 530 of file nncommon.c.

## ◆ points_scaletosquare()

double points_scaletosquare | ( | int | n,
|  | point * | points
| ) |  |

Definition at line 487 of file nncommon.c.

## ◆ points_thin()

void points_thin | ( | int * | n,
|  | point ** | points,
|  | int | nx,
|  | int | ny
| ) |  |

Definition at line 114 of file nncommon.c.

## Variable Documentation

## ◆ nn_test_vertice

int nn_test_vertice

Definition at line 44 of file nncommon.c.

## ◆ nn_verbose

int nn_verbose

Definition at line 43 of file nncommon.c.

## ◆ nn_version

const char* nn_version

Definition at line 17 of file nn/version.h.